Xenodia Docs
API ReferenceGenerated Reference

Revoke one API key

Requires an access token. Revokes only the specified key owned by this account. Idempotent for an already revoked owned key. Other keys and browser sessions remain active.

DELETE
/v1/me/api-keys/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*integer
Formatint64
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.xenodia.xyz/v1/me/api-keys/1"
{
  "ok": true
}
{
  "error": "bad_request",
  "message": "string",
  "type": "string",
  "code": "string"
}
{
  "error": "bad_request",
  "message": "string",
  "type": "string",
  "code": "string"
}
{
  "error": "bad_request",
  "message": "string",
  "type": "string",
  "code": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}